=== man/Makefile ===
include ../Makefile.rules

install:
	install -c *.5 -m 644 $(mandir)/man5
	install -c *.8 -m 644 $(mandir)/man8

all:

clean:
