## autofs 5.0.6

=== debian/changelog ===
autofs (5.0.6-2ubuntu2) quantal; urgency=low

  * Add patch to fix nsswitch parser to accept nsswitch.conf without an
    automout stanza as valid file. (Closes: #602090) (LP: #488696)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 12 Sep 2012 17:18:24 +0100

autofs (5.0.6-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1006509), remaining changes:
    - debian/autofs.upstart - upstart job
    - debian/patches/16group_buffer_size.patch:
      + prevents package to eat the cpu if you have large groups.

  * Dropped changes:
    - 17ld.patch, applied in debian as link-daemon-with-lpthread.patch
      and save-hesiod-libs-correctly.patch
  
  * This upload renames autofs5 back to autofs, following debian's name
    change.
  
  * Added patch descriptions/headers to 16group_buffer_size

  * debian/patches/0001-Remove-kernel-mount.nfs-version-checks-on-Debian-Ubu.patch:
    Remove kernel & mount.nfs version checks on Debian/Ubuntu. (LP: #1016673)
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 20 Jun 2012 12:34:50 +0100

autofs (5.0.6-2) unstable; urgency=low

  [Dmitry Smirnov]
  * minor update to 'manpages.patch' (Closes: #603092)
  * added VCS links

  [Michael Tokarev]
  * conffile installation:
    - do no ship /etc/default/autofs (Closes: #673796)
    - install /etc/init.d/autofs manually (dh_installinit have issue finding it)
    - removed ugly symlinks debian/autofs.{default,init}
    - list bin programs and modules more explicitly in debian/*.install
    - transfer ucf conffile ownership from old autofs5 to autofs
  * removed debian/configure_override
  * recommend kmod|module-init-tools
  * ship debian/autofs.init instead of heavily patching upstream script
  * simplify (and fix) debian/autofs.init a bit in loading/checking modules,
    and use /bin/sh instead of /bin/bash
  * remove messing with /dev/autofs misc device in initscript,
    it is managed by udev or devtmpfs
  * remove (now unused) USE_MISC_DEVICE definition from default/autofs too
  * do not check for modprobe or procfs in configure, since module loading
    is ifdef'ed out in the code, and #ifdef the missing parts too
    (do-not-check-for-modprobe-procfs-or-load-module.patch)
  * always define standard program paths when building even if the corresponding
    utility isn't installed (e2fsck, mount, mount.nfs).  There is no need to
    check presence of standard utilities or verify their standard abilities.
  * also define other paths explicitly instead of relying on a config-time
    search - the build will be wrong if some directory (eg, /etc/sysconfig)
    will be present during configure time.
  * autoreconf and clean autoconf-generated files, FTBFS (Closes: #674391)
    This still does not make quilt patches easily revertable, since we
    don't save old configure and upstream changes patches configure to,
    so once regenerated by autoreconf, it will be different.
  * do not use $DEB_HOST_MULTIARCH in debian/rules without setting it
  * two patches:
      debian/patches/link-daemon-with-lpthread.patch
      debian/patches/save-hesiod-libs-correctly.patch
    to fix gold/-Wl,-no-as-needed FTBFS.
  * remove individual upstream patches from debian/patches and replace them
    with single autofs-5.0.6-upstream-git.patch - all upstream commits in
    master branch since release_5_0_6 tag.  Update this patch to include
    all current fixes too (up to 2012-06-01).
  * added debian/TODO file

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 24 May 2012 10:53:13 +0400

autofs (5.0.6-1) unstable; urgency=low

  * New upstream release
    - "mount(nfs): no hosts available" (Closes: #608459).
    - "new upstream version available" (Closes: #602933).
    - "autofs mounted directory are never dismounted" (Closes: #521165).
    - "autofs5 does not support recursive mount" (Closes: #626473).
    - "autofs5 crashed in a nested setup in combination with
       negative lookups on *" (Closes: #617317).
    - "autofs5-ldap: simple bind auth feature request" (Closes: #595808).
    - "autofs5-ldap: SASL auth broken" (Closes: #568813).
  * package rename: dropping '5' from package names (Closes: #655351).
  * NMU changes acknowledged (Closes: #603491, #583094).
  * register /etc/default/autofs with ucf (Closes: #556961).
  * debian/copyright to DEP-5 format; upstream copyright audit.
  * packaging update:
    * use debhelper & compat version 9.
    * standards to 3.9.3
    * lintian-override for 'non-standard-file-perm'
    * install missing autofs_ldap_auth.conf.5 man page
    * source format to version 3 and .xz compression
    * debian/rules rewritten in debhelper style
  * patchworks:
    + replacing upstream patches with new patchset as of 2012-04-23.
    + replacing dpatch with quilt (Closes: #668077)
    + new patch to correct manpages spelling (Closes: #660075)
      thanks to Oz Nahum Tiram and Javi Merino
    + updated SYSV init script patch:
      * removed bashisms (Closes: #626435).
      * introduce 'status' support to SYSV script
        (Closes: #651978, #667811, #565507).
      * adding 'slapd' to Should-Start/Stop (Closes: #600764, #659616).
      * LSB output (Closes: #567805) thanks to Petter Reinholdtsen.
  * declare myself as Maintainer (adopting package)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 23 Apr 2012 00:30:51 +1000

autofs5 (5.0.6-0ubuntu5) precise; urgency=low

  * d/autofs5.autofs.upstart: Drop wait-for-state from configuration as 
    waiting for NIS to start is already handled in the NIS package by 
    the start-ypbind upstart configuration which supports autofs 
    (LP: #958704). 

 -- James Page <james.page@ubuntu.com>  Thu, 22 Mar 2012 11:02:03 +0000

autofs5 (5.0.6-0ubuntu4) precise; urgency=low

  * d/autofs5.autofs.upstart: Wait for NIS if it is installed. Also
    use the more generic runlevel event to start (LP: #573919)
  * d/control: Depend on upstart >= 0.9.7-2 since we rely on wait-for-state.


