=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	autoreconf --force
# Set some standard util paths explicitly,
# or else we'll have to build-depend on all of them.
# It is hackish, real solution should be to patch upstream
# to never check for standard utilities.
# Upstream also should not distinguish between ext*fs,
# for all of which /sbin/e2fsck is the real filesystem checker
# which will figure out type of the filesystem automatically.
# Also explicitly define some dirs/locations which will be searched
# if not defined.
	MOUNT=/bin/mount UMOUNT=/bin/umount \
	MOUNT_NFS=/sbin/mount.nfs \
	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
	initdir=/etc/init.d piddir=/run \
	dh_auto_configure -- \
		--enable-forced-shutdown \
		--enable-ignore-busy \
		--mandir=/usr/share/man \
		--with-confdir=/etc/default \
		--with-mapdir=/etc \
		--with-fifodir=/run --with-flagdir=/run \
		--with-hesiod \
		--with-openldap \
		--with-sasl
# Always define HAVE_SLOPPY_MOUNT (mount -s).  Also a hack and
# the same comment as above applies: upstream should use it unconditionally.
# Even busybox mount understands -s.
	sed -i 's/.*HAVE_SLOPPY_MOUNT.*/#define HAVE_SLOPPY_MOUNT 1/' \
		include/config.h

override_dh_install:
	dh_install
	# remove hesiod and ldap modules, they're in separate packages
	$(RM) debian/autofs/usr/lib/*/autofs/*hesiod*.so \
              debian/autofs/usr/lib/*/autofs/*ldap*.so

override_dh_installinit:
# /etc/default/autofs is shipped using ucf
	dh_installinit -pautofs -- start 19 2 3 4 5 . stop 81 0 1 6 .

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_fixperms:
	dh_fixperms -Xdebian/autofs-ldap/etc/autofs_ldap_auth.conf
