=== debian/changelog ===
autofs (5.0.7-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports: de-multiarch package.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 21 Oct 2012 19:33:39 +0400

autofs (5.0.7-3) unstable; urgency=low

  * pidfile is in /var/run not /run: fix the initscript
    (forgotten part of #682675)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 10 Oct 2012 21:28:40 +0400

autofs (5.0.7-2) unstable; urgency=low

  * force transfer ucf autofs5=>autofs ownership for all ucf-managed
    files (Closes: #689747)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 06 Oct 2012 13:06:37 +0400

autofs (5.0.7-1) unstable; urgency=low

  * new upstream (5.0.7) release.  It brings the following changes:
    - fixed remount deadlock, and several other locking fixes
    - fixed umount recovery for busy direct mounts
    - removed old code (mount-move which was fixed in 5.0.6-4 #686438)
    - fix hosts lookup module to be more robust
    - implemented abilty to re-read indirect maps on the fly (sighup)
    - fixes for nfs handling to be more robust
    - several fixes for multi-mount entries
    - several fixes for NFSv4 mounts (Closes: #675798)
    and a few more small/misc fixes.  This is all-bugfix changes,
    making the code more robust and less buggy.
  * removed --disable-mount-move configure option, not needed anymore.
  * removed autofs-5.0.6-upstream-git.patch.
  * refreshed manpages-hyphen.patch.
  * added selected fixes from upstream git, up to upstream/master commit
    9872cdbf9f1588174121e6ffe6f7509cde2d98e9:
    - 0001-autofs-5.0.7-fix-nobind-sun-escaped-map-entries.patch (Closes: #678408)
    - 0002-autofs-5.0.7-fix-use-cache-entry-after-free-mistake.patch
    - 0004-autofs-5.0.7-fix-parse-buffer-initialization.patch
    - 0005-autofs-5.0.7-fix-typo-in-automount-8.patch
  * added remove-kernel-mount.nfs-version-check.patch to stop automount from
    checking for very old mount.nfs or kernel.  The check isn't necessary
    (that's pre-squeeze versions, so not even versioned Breaks are needed
    anymore), but it is also harmful, since automount spawns mount.nfs at
    startup and confuses upstart and systemd who start tracking wrong
    process.  The patch just removes these checks assuming we always use
    recent enough versions.  (Closes: #678555)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Sep 2012 21:15:05 +0400

autofs (5.0.6-4) unstable; urgency=low

  * configure with --disable-mount-move -- upstream even removed the
    code in question for 5.0.7 release (Closes: #686438)
  * remove autofs5.postrm in autofs.postinst to cope with old maintscript
    removing our configfiles.  See comments in autofs.postinst for more
    details (Closes: #686146)
  * added allow-nsswitch.conf-to-not-contain-automount-lines.patch
    (submitted to upstream too) to stop automount from complaining
    when nsswitch.conf does not mention autofs (which is almost every
    install anyway).  (Closes: #682266, #602090)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 22 Sep 2012 13:07:46 +0400

autofs (5.0.6-3) unstable; urgency=low

  [Michael Tokarev]
  * almost completely rewrote the startup script, make it cleaner,
    consistent and actually returning proper exit codes.  Removed
    $"" constructs too, dash apparently does not understand these.
    (Closes: #677520, #683936)
  * transfer ownership of ucf-conffiles forcibly only if they're
    owned by autofs5, not by any other package.
  * run ucf --purge in postrm only if it is installed, and in the
    right order too (Closes: #685468)
  * added filagdir.patch - fix a typo in configure.in which prevents
    from specifying runtime directory (Closes: #678384)
  * use /var/run not /run for runtime files (we don't really need
    it to be available on upgrade, before initscripts et all has
    been replaced) (Closes: #682675)

  [Dmitry Smirnov]
  * setting current team leader as Maintainer
  * pass CPPFLAGS to fix "hardening-no-fortify-functions"
  * new fix-ldflags.patch to avoid dropping LDFLAGS in order to
    fix "hardening-no-relro"
  * updated manpages-hyphen.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 25 Aug 2012 16:13:02 +0400
