=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,14 @@
 	MOUNT=/bin/mount UMOUNT=/bin/umount \
 	MOUNT_NFS=/sbin/mount.nfs \
 	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
-	initdir=/etc/init.d piddir=/run \
+	initdir=/etc/init.d piddir=/var/run \
 	dh_auto_configure -- \
 		--enable-forced-shutdown \
 		--enable-ignore-busy \
 		--mandir=/usr/share/man \
 		--with-confdir=/etc/default \
 		--with-mapdir=/etc \
-		--with-fifodir=/run --with-flagdir=/run \
+		--with-fifodir=/var/run --with-flagdir=/var/run \
 		--with-hesiod \
 		--with-openldap \
 		--with-sasl
@@ -37,11 +37,15 @@
 	sed -i 's/.*HAVE_SLOPPY_MOUNT.*/#define HAVE_SLOPPY_MOUNT 1/' \
 		include/config.h
 
+override_dh_auto_build:
+	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+	dh_auto_build
+
 override_dh_install:
 	dh_install
 	# remove hesiod and ldap modules, they're in separate packages
-	$(RM) debian/autofs/usr/lib/*/autofs/*hesiod*.so \
-              debian/autofs/usr/lib/*/autofs/*ldap*.so
+	$(RM) debian/autofs/usr/lib/autofs/*hesiod*.so \
+              debian/autofs/usr/lib/autofs/*ldap*.so
 
 override_dh_installinit:
 # /etc/default/autofs is shipped using ucf
