## autofs 5.0.8

=== debian/changelog ===
autofs (5.0.8-2) unstable; urgency=medium

  [ Salvatore Bonaccorso <carnil@debian.org> ]
  * Add patches for CVE-2014-8169 (Closes: #779591).
    When a program map uses an interpreted languages like python it is
    possible to load and execute arbitray code from a user home directory.
    This is because the standard environment variables are used to locate
    and load modules when using these languages. To avoid that, a prefix to
    these environment names is added so that they aren't used for this
    purpose. The prefix used is "AUTOFS_" and is not configurable.
    Additionally a configuration option to force the use of program map
    standard environment variables is added (FORCE_STANDARD_PROGRAM_MAP_ENV).

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Refreshed other patches as needed.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Mar 2015 18:38:23 +1100

autofs (5.0.8-1) unstable; urgency=low

  * New upstream release [October 2013] (Closes: #729023).
  * "debian/copyright":
    + corrected BSD-3-clause license name.
    + added Michael Tokarev's copyright.
  * "debian/control":
    + Standards to 3.9.5.
    + updated my email address.
  * Patches removed (applied-upstream):
    - 0001-autofs-5.0.7-fix-nobind-sun-escaped-map-entries.patch
    - 0002-autofs-5.0.7-fix-use-cache-entry-after-free-mistake.patch
    - 0004-autofs-5.0.7-fix-parse-buffer-initialization.patch
    - 0005-autofs-5.0.7-fix-typo-in-automount-8.patch
    - allow-nsswitch.conf-to-not-contain-automount-lines.patch
    - save-hesiod-libs-correctly.patch
  * Patches updated:
    + 11default_automaster_location.patch
    + manpages.patch
    + manpages-hyphen.patch
    + default-autofs-remove-USE_MISC_DEVICE.patch
    + do-not-check-for-modprobe-procfs-or-load-module.patch
    + link-daemon-with-lpthread.patch
    + fix-ldflags.patch
    + remove-kernel-mount.nfs-version-check.patch
  * "autofs-ldap":
    + install "samples/auto.master.ldap".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Mar 2014 12:52:31 +1100
