=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,8 @@
 override_dh_install:
 	dh_install
 	# remove hesiod and ldap modules, they're in separate packages
-	$(RM) debian/autofs/usr/lib/autofs/*hesiod*.so \
-              debian/autofs/usr/lib/autofs/*ldap*.so
+	$(RM) debian/autofs/usr/lib/*/autofs/*hesiod*.so \
+              debian/autofs/usr/lib/*/autofs/*ldap*.so
 
 override_dh_installinit:
 # /etc/default/autofs is shipped using ucf
