=== debian/changelog ===
autofs (5.1.1-1ubuntu3) xenial; urgency=medium

  [ Malcolm Scott ]
  * d/p/fix-lookup-ldap-crash.patch:
    - Fix crash on startup due to uninitialized config.  LP: #1503034

  [ Michael Terry ]
  * d/p/fix-lookup-ldap-crash.patch:
    - Adjust above patch to be slightly more generic

 -- Michael Terry <mterry@ubuntu.com>  Thu, 19 Nov 2015 17:31:09 -0500

autofs (5.1.1-1ubuntu2) wily; urgency=low

  * Add LDFLAGS to avoid issues with accessing global variables in
    shared libraries (LP: #1470687, LP: #1472115).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 07 Jul 2015 16:28:53 +0200

autofs (5.1.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - autofs.upstart script
   - debian/rules: build with sssldir path
   - d/p/fix-ssslib-search.patch - parts replaced by fix-sssldir.patch
   - d/p/16group_buffer_size.patch
  * Dropped patches:
    - CVE-2014-8169-add-a-prefix-to-program-map-stdvars.patch
    - CVE-2014-8169-add-config-option-to-force-use-of-program-map-stdvars.patch
    - lp1386869-fix-cant-automount-when--host-exist

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 06 Jul 2015 14:59:51 -0500

autofs (5.1.1-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Install new "/etc/autofs.conf".
  * Patchworks: dropped obsolete patches; marked forwarded patches as such.
  * Removed old "14avoid_sock_cloexec.patch" with obsolete workaround for
    old kernels.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Apr 2015 13:06:53 +1000

autofs (5.1.0-1) experimental; urgency=low

  [ Timo Aaltonen <tjaalton@ubuntu.com> ]
  * Add support for sssd backend (Closes: #762843).
    - control: Add sssd-common to build-depends.
    - rules, fix-sssldir.diff: Check the multiarch lib path when searching
      for libsss_autofs.so

  [ Salvatore Bonaccorso <carnil@debian.org> ]
  * Scan for upstream tarballs in various formats.
    The previous watch files only looked for bz2 compressed upstream
    tarballs. Upstream switched to tar.xz and tar.gz only since 5.0.9.
    Adjust the watch file to catch new upstream versions. (Closes: #779438)

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Standards-Version to 3.9.6.
  * New upstream release [June 2014] (Closes: #779441, #741064, #743939).
  * Refreshed patches.
  * Dropped obsolete "default-autofs-remove-USE_MISC_DEVICE.patch".
  * Install native systemd service using "dh-systemd".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 10 Apr 2015 11:36:01 +1000

autofs (5.0.8-1ubuntu3.1) vivid; urgency=medium

  * Fix mount issues when using '-host' in conf file. (LP: #1386869)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 28 Apr 2015 11:53:54 -0500

autofs (5.0.8-1ubuntu3) vivid; urgency=medium

  * SECURITY UPDATE: privilege escalation via interpreter load path
    - debian/patches/CVE-2014-8169-*.patch: add a prefix to program map
      stdvars and a config option to override it in include/mounts.h,
      lib/mounts.c, modules/lookup_program.c, modules/parse_sun.c,
      include/defaults.h, lib/defaults.c, modules/lookup_program.c,
      samples/autofs.conf.default.in, document changes in
      man/autofs.5, man/auto.master.5.in.
    - CVE-2014-8169

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 16:04:47 -0400

autofs (5.0.8-1ubuntu2) vivid; urgency=medium

  * Build with -fgnu89-inline. Closes: #777787.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2015 20:29:34 +0100

autofs (5.0.8-1ubuntu1) utopic; urgency=low

  [ Greg Lutostanski ]
  * Merge from Debian unstable. (LP: #1351337) Remaining changes:
    - debian/autofs.upstart - upstart job
    - debian/patches/16group_buffer_size.patch:
      + prevents package to eat the cpu if you have large groups.
    - Add support for sssd backend

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Aug 2014 13:30:18 +1000

autofs (5.0.7-3ubuntu5) utopic; urgency=medium

  * Fix file descriptor leak when reloading daemon. (LP: #1316125)

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 15 May 2014 18:05:40 -0300

autofs (5.0.7-3ubuntu4) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:38:57 +0100

autofs (5.0.7-3ubuntu3) trusty; urgency=medium

  * fix-ssslib-search.patch: Don't skip sssd autofs search if presseded.
  * rules: set ssslibdir correctly when calling configure (LP: #1081489)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 05 Apr 2014 05:26:53 -0600

autofs (5.0.7-3ubuntu2) trusty; urgency=medium

  * Add support for sssd backend (LP: #1081489)
    - control: Add sssd-common to build-depends.
    - rules: Set sssldir for the sssd module so autoreconf knows about it.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 31 Jan 2014 13:57:03 +0200

autofs (5.0.7-3ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes are:
    - debian/autofs.upstart - upstart job
    - debian/patches/16group_buffer_size.patch:
      + prevents package to eat the cpu if you have large groups.
  
  * Dropped changes, merged in Debian:
    - Add patch to fix nsswitch parser to accept nsswitch.conf without an
      automout stanza as valid file. (Closes: #602090) (LP: #488696)
    - debian/patches/0001-Remove-kernel-mount.nfs-version-checks-on-Debian-Ubu.patch:
      Remove kernel & mount.nfs version checks on Debian/Ubuntu. (LP: #1016673)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 14 Nov 2012 11:50:43 +0000
