=== debian/control ===
--- 
+++ 
@@ -1,12 +1,22 @@
 Source: autofs
 Section: utils
 Priority: extra
-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
 Uploaders: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>,
- Dmitry Smirnov <onlyjob@member.fsf.org>, William Dauchy <wdauchy@gmail.com>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9), autoconf, lsb-base,
- bison, flex, libhesiod-dev, libkrb5-dev, libldap-dev, libsasl2-dev, libssl-dev, libxml2-dev
+           Dmitry Smirnov <onlyjob@debian.org>,
+           William Dauchy <wdauchy@gmail.com>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), autoconf, lsb-base, dh-systemd,
+ bison,
+ flex,
+ libhesiod-dev,
+ libkrb5-dev,
+ libldap-dev,
+ libsasl2-dev,
+ libssl-dev,
+ libxml2-dev,
+ sssd-common
 Homepage: http://www.kernel.org/pub/linux/daemons/autofs/v5/
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autofs.git
 VCS-Git: git://anonscm.debian.org/collab-maint/autofs.git
