=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_configure:
 	autoreconf --force
@@ -21,6 +22,8 @@
 	MOUNT_NFS=/sbin/mount.nfs \
 	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
 	initdir=/etc/init.d piddir=/var/run \
+	sssldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sssd/modules \
+	multiarch=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	dh_auto_configure -- \
 		--enable-forced-shutdown \
 		--enable-ignore-busy \
@@ -39,6 +42,7 @@
 
 override_dh_auto_build:
 	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+	LDFLAGS="$(dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')" \
 	dh_auto_build
 
 override_dh_install:
