=== debian/changelog ===
autofs (5.1.2-4) unstable; urgency=medium

  * QA upload.
  * Fix doubled .conf in a man page's filename, fixing FTBFS.
    (Closes: #903167)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 09 Jul 2018 02:09:42 +0200

autofs (5.1.2-3) unstable; urgency=medium

  * QA upload.

  [ Laurent Bigonville ]
  * debian/control: Switch all the packages to Arch:linux-any

  [ Andreas Henriksson ]
  * Add e2fsprogs to build-dep and recommends (Closes: #887284)
  * Drop incorrect depends on lsb-base
  * Drop incorrect *build*-dep on lsb-base

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 Feb 2018 22:24:44 +0100

autofs (5.1.2-2) unstable; urgency=medium

  * QA upload.
  [ Laurent Bigonville ]
  * Orphan the package, see #849148
  * debian/watch: Update the URL now that kernel.org ftp has been shutdown
    (Closes: #864849)
  * debian/control: Add dependency against lsb-base (Closes: #864852)
  * debian/autofs.postrm: Remove /etc/autofs.conf on purge (Closes: #788129)
  * debian/autofs.dirs: Install empty /etc/auto.master.d directory (Closes:
    #884233)
  * debian/rules: Don't strip the binaries during the build so the dbgsym
    packages actually contain the debugging symbols
  * debian/control: Bump Standards-Version to 4.1.2 and bump the packages
    priority from extra to optional, the former is now deprecated
  * debian/control: Drop dh-systemd build-dependency and bump debhelper to (>=
    9.20160709)
  * debian/rules: Really enable the force shutdown signal handler as intended
    (Closes: #743654)
  * d/p/fix-autofsconf-manpage-section.patch: Fix manpage section
  * d/p/fix-autofs-manpage-whatis.patch: Fix whatis entry for autofs.8
    manpage (Closes: #864853)
  * Move autofs.conf.5 manpage from autofs-ldap to the main autofs package
    (Closes: #870653)
  * debian/rules: Set --enable-sloppy-mount instead of modifying the
    include/config.h file manually
  * debian/control: Drop autofs5 transitional packages (Closes: #878205)

  [ Timo Aaltonen ]
  * Replace fix-ssldir.patch with fix-ssslib-search.patch, which is more
    upstreamable. Preseed sssldir in rules.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Dec 2017 10:28:56 +0100

autofs (5.1.2-1) unstable; urgency=medium

  * New upstream release [June 2016] (Closes: #846054).
  * Build with "--disable-mount-locking" (Closes: #721331).
  * service: fixed path to "kill" utility (Closes: #785563).
  * Modernised and converted Vcs URLs to HTTPS.
  * Standards-Version: 3.9.8.
  * Removed myself from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 23 Dec 2016 10:34:46 +1100
