=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,19 @@
 # which will figure out type of the filesystem automatically.
 # Also explicitly define some dirs/locations which will be searched
 # if not defined.
+# Always define --enable-sloppy-mount (mount -s).  Also a hack and
+# the same comment as above applies: upstream should use it unconditionally.
+# Even busybox mount understands -s.
 	MOUNT=/bin/mount UMOUNT=/bin/umount \
 	MOUNT_NFS=/sbin/mount.nfs \
 	E2FSCK=/sbin/fsck.ext2 E3FSCK=/sbin/fsck.ext3 E4FSCK=/sbin/fsck.ext4 \
 	initdir=/etc/init.d piddir=/var/run \
 	sssldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sssd/modules \
-	multiarch=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	dh_auto_configure -- \
-		--enable-forced-shutdown \
+		--disable-mount-locking \
+		--enable-force-shutdown \
 		--enable-ignore-busy \
+		--enable-sloppy-mount \
 		--mandir=/usr/share/man \
 		--with-confdir=/etc/default \
 		--with-mapdir=/etc \
@@ -34,16 +38,10 @@
 		--with-hesiod \
 		--with-openldap \
 		--with-sasl
-# Always define HAVE_SLOPPY_MOUNT (mount -s).  Also a hack and
-# the same comment as above applies: upstream should use it unconditionally.
-# Even busybox mount understands -s.
-	sed -i 's/.*HAVE_SLOPPY_MOUNT.*/#define HAVE_SLOPPY_MOUNT 1/' \
-		include/config.h
 
 override_dh_auto_build:
 	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
-	LDFLAGS="$(dpkg-buildflags --get LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')" \
-	dh_auto_build
+	DONTSTRIP=1 dh_auto_build
 
 override_dh_install:
 	dh_install
